Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.resource.config
Class ResourceNetworkConfiguration

    java.lang.Object
      lbg.resource.config.ResourceNetworkConfiguration

    public class ResourceNetworkConfiguration

extends java.lang.Object

Resource network configuration

Author:
  Cyril Briquet

Constructor Summary
`ResourceNetworkConfiguration()` Creates a new ResourceNetworkConfiguration.
`ResourceNetworkConfiguration(java.util.Properties props)` Creates a new ResourceNetworkConfiguration.

Method Summary
`int` | `btDataPort()`
`java.lang.String` | `format(boolean log_format)` Outputs the ResourceNetworkConfiguration, formatted either as a property file or as a log file.
`int` | `ftpDataPort()`
`java.lang.String` | `HOST()`
`java.lang.String` | `hostname()`
`int` | `peerPort()`
`int` | `resourcePort()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceNetworkConfiguration

    public ResourceNetworkConfiguration(java.util.Properties props)
                                 throws GridException

  Creates a new ResourceNetworkConfiguration.

  Throws:
    `GridException`

### ResourceNetworkConfiguration

    public ResourceNetworkConfiguration()
                                 throws GridException

  Creates a new ResourceNetworkConfiguration.

  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### format

    public java.lang.String format(boolean log_format)

  Outputs the ResourceNetworkConfiguration, formatted either as a property file or as a log file.

  Parameters:
    `log_format` - true to format ResourceNetworkConfiguration as a log file
  Returns:
    formatted ResourceNetworkConfiguration

### hostname

    public java.lang.String hostname()

  Returns:
    Resource host name, as reachable by owner Peer

### resourcePort

    public int resourcePort()

  Returns:
    valid port for owner Peer-to-Resource communication

### HOST

    public java.lang.String HOST()

  Returns:
    owner Peer host name

### peerPort

    public int peerPort()

  Returns:
    valid port for Resource-to-owner Peer communication

### btDataPort

    public int btDataPort()

  Returns:
    BitTorrent data port

### ftpDataPort

    public int ftpDataPort()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.